Package org.silverpeas.mobile.client.common

## Class Html5Utils

- java.lang.Object
- - org.silverpeas.mobile.client.common.Html5Utils

-     public class Html5Utils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Html5Utils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `cancelSpeaking()` |
    `static boolean` | `canShare​(String title, String text, String url)` |
    `static void` | `disableAnchor​(com.google.gwt.user.client.ui.Anchor a)` |
    `static void` | `enableAnchor​(com.google.gwt.user.client.ui.Anchor a)` |
    `static com.google.gwt.core.client.JsArray<Voice>` | `getVoices()` |
    `static boolean` | `initSpeech​(boolean continuous, String language)` |
    `static boolean` | `isSpeechSupported()` |
    `static boolean` | `isSpeechSynthesisSupported()` |
    `static boolean` | `isVideoFullScreen()` |
    `static void` | `onSpeechError()` |
    `static void` | `onSpeechResult​(String result)` |
    `static void` | `onSpeechStart()` |
    `static void` | `onSpeechStop()` |
    `static void` | `readText​(String[] text, com.google.gwt.user.client.Command endCallback)` |
    `static void` | `setVideoFullScreen​(com.google.gwt.dom.client.Element element)` |
    `static void` | `setVideoNotFullScreen​(com.google.gwt.dom.client.Element element)` |
    `static void` | `share​(String title, String text, String url)` |
    `static void` | `startListening()` |
    `static void` | `stopListening()` |
    `static void` | `vibrate()` |
    `static void` | `vibrate​(int duration)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Html5Utils

          public Html5Utils()

  - ### Method Detail

    - #### disableAnchor

          public static void disableAnchor​(com.google.gwt.user.client.ui.Anchor a)

    - #### enableAnchor

          public static void enableAnchor​(com.google.gwt.user.client.ui.Anchor a)

    - #### setVideoFullScreen

          public static void setVideoFullScreen​(com.google.gwt.dom.client.Element element)

    - #### setVideoNotFullScreen

          public static void setVideoNotFullScreen​(com.google.gwt.dom.client.Element element)

    - #### isVideoFullScreen

          public static boolean isVideoFullScreen()

    - #### vibrate

          public static void vibrate()

    - #### vibrate

          public static void vibrate​(int duration)

    - #### isSpeechSupported

          public static boolean isSpeechSupported()

    - #### isSpeechSynthesisSupported

          public static boolean isSpeechSynthesisSupported()

    - #### startListening

          public static void startListening()

    - #### stopListening

          public static void stopListening()

    - #### initSpeech

          public static boolean initSpeech​(boolean continuous,
                                           String language)

    - #### getVoices

          public static com.google.gwt.core.client.JsArray<Voice> getVoices()

    - #### readText

          public static void readText​(String[] text,
                                      com.google.gwt.user.client.Command endCallback)

    - #### cancelSpeaking

          public static void cancelSpeaking()

    - #### onSpeechResult

          public static void onSpeechResult​(String result)

    - #### onSpeechStart

          public static void onSpeechStart()

    - #### onSpeechStop

          public static void onSpeechStop()

    - #### onSpeechError

          public static void onSpeechError()

    - #### canShare

          public static boolean canShare​(String title,
                                         String text,
                                         String url)

    - #### share

          public static void share​(String title,
                                   String text,
                                   String url)